Python
from parallel import Parallel
client = Parallel()
task_run_result = client.task_run.result(run_id="run_id")
print(task_run_result.output)import Parallel from "parallel-web";
const client = new Parallel();
const taskRunResult = await client.taskRun.result('run_id');
console.log(taskRunResult.output);HttpResponse<String> response = Unirest.get("https://api.parallel.ai/v1/tasks/runs/{run_id}/result")
.header("x-api-key", "<api-key>")
.asString();curl --request GET \
--url https://api.parallel.ai/v1/tasks/runs/{run_id}/result \
--header 'x-api-key: <api-key>'{
"run": {
"run_id": "trun_9907962f83aa4d9d98fd7f4bf745d654",
"interaction_id": "trun_9907962f83aa4d9d98fd7f4bf745d654",
"status": "completed",
"is_active": false,
"processor": "core",
"metadata": {
"my_key": "my_value"
},
"created_at": "2025-04-23T20:21:48.037943Z",
"modified_at": "2025-04-23T20:21:48.037943Z"
},
"output": {
"basis": [],
"type": "json",
"content": {
"gdp": "$3.1 trillion (2023)"
}
}
}{
"type": "error",
"error": {
"ref_id": "fcb2b4f3-c75e-4186-87bc-caa1a8381331",
"message": "Unauthorized: invalid or missing credentials"
}
}{
"type": "error",
"error": {
"ref_id": "fcb2b4f3-c75e-4186-87bc-caa1a8381331",
"message": "Run failed or run id not found"
}
}{
"type": "error",
"error": {
"ref_id": "fcb2b4f3-c75e-4186-87bc-caa1a8381331",
"message": "Request timed out; run still active"
}
}{
"type": "error",
"error": {
"ref_id": "fcb2b4f3-c75e-4186-87bc-caa1a8381331",
"message": "Request validation error"
}
}Tasks
Retrieve Task Run Result
Retrieves a run result by run_id, blocking until the run is completed.
GET
/
v1
/
tasks
/
runs
/
{run_id}
/
result
Python
from parallel import Parallel
client = Parallel()
task_run_result = client.task_run.result(run_id="run_id")
print(task_run_result.output)import Parallel from "parallel-web";
const client = new Parallel();
const taskRunResult = await client.taskRun.result('run_id');
console.log(taskRunResult.output);HttpResponse<String> response = Unirest.get("https://api.parallel.ai/v1/tasks/runs/{run_id}/result")
.header("x-api-key", "<api-key>")
.asString();curl --request GET \
--url https://api.parallel.ai/v1/tasks/runs/{run_id}/result \
--header 'x-api-key: <api-key>'{
"run": {
"run_id": "trun_9907962f83aa4d9d98fd7f4bf745d654",
"interaction_id": "trun_9907962f83aa4d9d98fd7f4bf745d654",
"status": "completed",
"is_active": false,
"processor": "core",
"metadata": {
"my_key": "my_value"
},
"created_at": "2025-04-23T20:21:48.037943Z",
"modified_at": "2025-04-23T20:21:48.037943Z"
},
"output": {
"basis": [],
"type": "json",
"content": {
"gdp": "$3.1 trillion (2023)"
}
}
}{
"type": "error",
"error": {
"ref_id": "fcb2b4f3-c75e-4186-87bc-caa1a8381331",
"message": "Unauthorized: invalid or missing credentials"
}
}{
"type": "error",
"error": {
"ref_id": "fcb2b4f3-c75e-4186-87bc-caa1a8381331",
"message": "Run failed or run id not found"
}
}{
"type": "error",
"error": {
"ref_id": "fcb2b4f3-c75e-4186-87bc-caa1a8381331",
"message": "Request timed out; run still active"
}
}{
"type": "error",
"error": {
"ref_id": "fcb2b4f3-c75e-4186-87bc-caa1a8381331",
"message": "Request validation error"
}
}Authorizations
Headers
Path Parameters
Query Parameters
⌘I